
Name:    qaccessibilityclient
Summary: Accessibility client library for Qt
Version: 0.1.1
Release: 1%{?dist}

# KDE e.V. may determine that future LGPL versions are accepted
License: LGPLv2 or LGPLv3
URL:     https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient
%if 0%{?snap}
Source0: qaccessibilityclient-%{version}-%{snap}.tar.xz
%else
Source0: http://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-%{version}.tar.bz2
%endif
Source1: qaccessibilityclient_snapshot.sh

## upstreamable patches
# link QtGui for undefined symbols
Patch50: qaccessibilityclient-0.1.0-dso.patch
# QT4_BUILD option
Patch51: libqaccessibilityclient-0.1.1-QT4_BUILD.patch

BuildRequires: cmake >= 2.8.6
BuildRequires: pkgconfig(QtDBus) pkgconfig(QtGui)

Provides: libqaccessibilityclient = %{version}-%{release}

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: libqaccessibilityclient-devel = %{version}-%{release}
Requires: qt4-devel
%description  devel
%{summary}.


%prep
%setup -q -n libqaccessibilityclient-%{version}

%patch50 -p1 -b .dso
%patch51 -p1 -b .QT4_BUILD


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DQT4_BUILD:BOOL=ON \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files
# consider putting into -tools subpkg?
rm -f %{buildroot}%{_bindir}/accessibleapps


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libqaccessibilityclient.so.0*

%files devel
%{_includedir}/qaccessibilityclient/
%dir %{_libdir}/cmake/
%{_libdir}/cmake/QAccessibilityClient/
%{_libdir}/libqaccessibilityclient.so


%changelog
* Wed Feb 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.1.1-1
- 1.1.1 release
- support QT4_BUILD option
- fix dso patch
- Provides: libqaccessibilityclient(-devel)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.3.20121113git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 13 2013 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-0.2.20121113git
- fix changelog
- -devel: +Requires: cmake qt4-devel
- link QT_QTGUI_LIBRARY for undefined symbols
- s/Url/URL/
- don't package accessibleapps

* Sat Feb 02 2013 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-0.1.20121113git
- adapt for fedora
- fresh snapshot

* Sat Nov 10 2012 alinm.elena@gmail.com
- initial commit
